Subject: New Version Notification for draft-rafiee-6man-ssas

From: "Hosnieh Rafiee" <[email-masked]>
Date: Sun, 15 Dec 2013 21:03:28 +0100

This version is corresponded to comments received by Dan, Tina, Michael, Tim, etc.
Some of the changes:
- the text is now clearer than before and I removed all confusing texts that I found. (if there is anything more just refer me to it)
- Explained the purpose clearly (Especially for those who think that SSAS purpose is to also authorize routers without using RPKI, etc.. This is not true)
- Separate the deploy ability version in a new document "local security"
- Compared the network security with nodes' security (appendix)
- revised the whole introduction

There is also a new discussion list about authentication and authorization.  We might come up with the use of this approach or combination with other approaches for a unique means of authentication. If you are interested, feel free to join https://www.ietf.org/mailman/listinfo/secauth 

For router authorization, this is the complement document of SSAS. http://tools.ietf.org/html/draft-rafiee-6man-local-security-00 . You can find also this document as one of the references of SSAS

For CGA attacks, I am still waiting for the professors to answer me (They were quite busy recently and had less chance to take a look on my approaches). However, the attack is valid on sec value but we're thinking about optimizing the algorithm to fast executing this attack. I am trying to update this document, as well, as soon as I receive some feedbacks from these professors.

Title:		 A Simple Secure Addressing Scheme for IPv6 AutoConfiguration (SSAS)
URL:             http://www.ietf.org/internet-drafts/draft-rafiee-6man-ssas-08.txt
Status:          http://datatracker.ietf.org/doc/draft-rafiee-6man-ssas
Htmlized:        http://tools.ietf.org/html/draft-rafiee-6man-ssas-08
Diff:            http://www.ietf.org/rfcdiff?url2=draft-rafiee-6man-ssas-08

Abstract:
   The purpose of this document is to address the current problem
   inherent with using Cryptographically Generated Addresses (CGA)
   [RFC3972] and introduces a new algorithm that can eliminate the cost
   of CGA algorithm. This algorithm also responds to the security issues
   (IP spoofing) exists in Privacy Extension [RFC4941] or any other
   documents that does not focus on local security by integrating
   privacy with the security.

If there are more comments, please share them. I'll be happy to apply them and improve the document.

Thanks
Smile,
Hosnieh